org.eclipse.rdf4j.repository.sail.helpers

## Class SPARQLUpdateDataBlockParser

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.AbstractRDFParser
  - - org.eclipse.rdf4j.rio.turtle.TurtleParser
    - - org.eclipse.rdf4j.rio.trig.TriGParser
      - - org.eclipse.rdf4j.rio.trigstar.TriGStarParser
        - - org.eclipse.rdf4j.query.parser.sparql.SPARQLUpdateDataBlockParser
          - - org.eclipse.rdf4j.repository.sail.helpers.SPARQLUpdateDataBlockParser

- All Implemented Interfaces:
    RDFParser

  Deprecated.
  since 3.2.2. Use `SPARQLUpdateDataBlockParser` instead.

      @Deprecated
      public class SPARQLUpdateDataBlockParser
      extends SPARQLUpdateDataBlockParser

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.rio.RDFParser

      `RDFParser.DatatypeHandling`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.rio.turtle.TurtleParser

      `object, predicate, subject`

    - ### Fields inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFParser

      `rdfHandler, valueFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPARQLUpdateDataBlockParser()` Deprecated.
    `SPARQLUpdateDataBlockParser(ValueFactory valueFactory)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.sparql.SPARQLUpdateDataBlockParser

      `getLineNumber, getRDFFormat, isAllowBlankNodes, parseGraph, parseImplicitBlank, parseNodeID, setAllowBlankNodes, setLineNumberOffset`

    - ### Methods inherited from class org.eclipse.rdf4j.rio.trigstar.TriGStarParser

      `parseValue, setContext`

    - ### Methods inherited from class org.eclipse.rdf4j.rio.trig.TriGParser

      `getContext, parseStatement, parseTriples, reportStatement`

    - ### Methods inherited from class org.eclipse.rdf4j.rio.turtle.TurtleParser

      `getSupportedSettings, parse, parse, parseAnnotation, parseBase, parseCollection, parseDirective, parseLongString, parseNumber, parseObject, parseObjectList, parsePredicate, parsePredicateObjectList, parsePrefixID, parseQNameOrBoolean, parseQuotedLiteral, parseQuotedString, parseString, parseSubject, parseTripleValue, parseURI, peekCodePoint, peekIsTripleValue, processComment, readCodePoint, reportError, reportFatalError, reportFatalError, reportLocation, reportWarning, skipWSC, throwEOFException, unread, unread, verifyCharacterOrFail`

    - ### Methods inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFParser

      `clear, clearBNodeIDMap, createBNode, createBNode, createLiteral, createLiteral, createNode, createNode, createStatement, createStatement, createURI, datatypeHandling, getNamespace, getParseErrorListener, getParseLocationListener, getParserConfig, getRDFHandler, initializeNamespaceTableFromConfiguration, preserveBNodeIDs, reportError, reportError, reportError, reportError, reportFatalError, reportFatalError, reportFatalError, reportLocation, reportWarning, resolveURI, set, setBaseURI, setBaseURI, setDatatypeHandling, setNamespace, setParseErrorListener, setParseLocationListener, setParserConfig, setPreserveBNodeIDs, setRDFHandler, setStopAtFirstError, setValueFactory, setVerifyData, stopAtFirstError, verifyData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.rio.RDFParser

      `parse, parse`

- - ### Constructor Detail

    - #### SPARQLUpdateDataBlockParser

          @Deprecated
          public SPARQLUpdateDataBlockParser()

      Deprecated.

    - #### SPARQLUpdateDataBlockParser

          @Deprecated
          public SPARQLUpdateDataBlockParser(ValueFactory valueFactory)

      Deprecated.

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.